<?php

/**
 * @file
 *
 * Template file for the OpinionLab Javascript code - Event version
 */
?>

<script type="text/javascript" language="JavaScript">
/* OnlineOpinion v<?php print $olvar['version'] ?> */
/* This product and other products of OpinionLab, Inc. are protected by U.S.
   Patent No. 6606581, 6421724, 6785717 B1 and other patents pending. */
/* Create new OnlineOpinion Object instance */
var oOobj1 = new OnlineOpinion.ocode();
/* OnlineOpinion Object Preferences */
oOobj1.Preferences = {
  /* Configure Object Persistence (REQUIRED) */
  Persistence: {
    enabled: <?php print $olvar['persistence_enabled'] ?>,           // Disappear onClick
    cookie_name: '<?php print $olvar['persistence_cookie_name'] ?>', // cookie name
    cookie_type: '<?php print $olvar['persistence_cookie_type'] ?>', // Remembers which page got rated
    expiration: <?php print $olvar['persistence_expiration'] ?>      // How long to remember each page got Rated (secs)
  },
  /* Configure Object Parameters (REQUIRED) */
  Render: {
    type: '<?php print $olvar['render_type'] ?>'
  },
  Plugins: {
    /* Configure URL Rewrite (optional) */
    URLRewrite: {
      active: <?php print $olvar['plugin_urlrewrite_active'] ?>,
      regex_search_pattern: '<?php print $olvar['plugin_urlrewrite_regex_search_pattern'] ?>' ,
      regex_replace_pattern: '<?php print $olvar['plugin_urlrewrite_regex_replace_pattern'] ?>',
      full_url_rewrite: '<?php print $olvar['plugin_urlrewrite_full_url_rewrite'] ?>'
    },
    /* Configure Embedded Comment Card (optional) */
    CardOnPage: {
      enabled: <?php print $olvar['plugin_cardonpage_enabled'] ?>,
      close_link: '<?php print $olvar['plugin_cardonpage_close_link'] ?>'
    },
    Events: {
      /* Configure Events items (required for events) */
      poE: <?php print $olvar['plugin_events_poe'] ?>, // Probability on Entry
      poC: <?php print $olvar['plugin_events_poc'] ?>, // Probability on Click
      poX: <?php print $olvar['plugin_events_pox'] ?>, // Probability on Exit
      onEntryDelay: <?php print $olvar['plugin_events_onentry_delay'] ?>, // How long to delay card on Entry (in secs)
      clickDelay: <?php print $olvar['plugin_events_click_delay'] ?> // How long to delay card on Click (in secs)
    }
  }
}
/* Configure Custom Variables to Accompany Survey (optional) */
// oOobj1.Metrics.custom.clientID = 1234;
// oOobj1.Metrics.custom.countryCode = "usa";
/* Call Back on Page Entry (REQUIRED for Event Driven Objects) */
OnlineOpinion.util.SafeAddOnLoadEvent(function(){oOobj1.onEntry()});
/* Call Back on Page Exit (REQUIRED for Event Driven Objects) */
OnlineOpinion.util.SafeAddOnUnLoadEvent(function(){oOobj1.onExit()});
/* Call Back on Site Exit (optional for Site Exit Event Driven Objects) */
//OnlineOpinion.util.SafeAddOnLoadEvent(function(){oOobj1.onEntry();OnlineOpinion.util.walkAnchors(document.body, 10, /^(http:\/\/pegasus\.local|http:\/\/www\.google\.com)/i, oOobj1)});
/*  OnlineOpinion v<?php print $olvar['version'] ?>, Copyright <?php print $olvar['copyright_year'] ?> Opinionlab, Inc. */
</script>
